package com.bocloud.cmp.provider.azure.slb;

import com.bocloud.cmp.model.azure.slb.BackEndModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @ClassName: BackEndProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/10/15 14:28
 */
public interface BackEndProvider extends SuperProvider {

    default BocloudResult create(BackEndModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult modify(BackEndModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(BackEndModel model) {
        return new BocloudResult(false, "need implement");
    }

}